GET/cosmos/gov/v1beta1/proposals/{proposal_id}/votes

https://rest-cosmos-mainnet.nodit.io/cosmos/gov/v1beta1/proposals/string/votes

Votes queries votes of a given proposal.

Path Parameters
proposal_idstring (uint64)required

proposal_id is the unique id of a proposal.

Query Parameters
pagination.keystring (byte)

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring (uint64)

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring (uint64)

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean

Set to true to return results in descending order.

Responses
proposal_idstring (uint64)

proposal_id is the unique id of a proposal.

voterstring

voter is the voter address of the proposal.

optionstring (enum)

Deprecated: Prefer to use options instead. This field is set in queries if and only if len(options) == 1 and that option has weight 1. In all other cases, this field will default to VOTE_OPTION_UNSPECIFIED.

optionsobject[]

options is the weighted vote options.

optionstring (enum)

option defines the valid vote options, it must not contain duplicate vote options.

weightstring

weight is the vote weight associated with the vote option.

next_keystring (byte)

next_key is the key to be passed to PageRequest.key to query the next page most efficiently. It will be empty if there are no more results.

totalstring (uint64)

Total number of results. Populated only when pagination.count_total is set in the request.

X-API-KEY
RequestCU35
cURL
curl -X GET "https://rest-cosmos-mainnet.nodit.io/cosmos/gov/v1beta1/proposals/string/votes?pagination.key=string&pagination.offset=string&pagination.limit=string&pagination.count_total=true&pagination.reverse=true" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "votes": [
    {
      "proposal_id": "string",
      "voter": "string",
      "option": "VOTE_OPTION_UNSPECIFIED",
      "options": [
        {}
      ]
    }
  ],
  "pagination": {
    "next_key": "string",
    "total": "string"
  }
}